TokenControllerQueryTokens Method |
POST /Token/QueryTokens
Gets a list of
TokenDefinitionData objects matching the specified criteria.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("QueryTokens")]
public HttpResponseMessage QueryTokens(
[FromBodyAttribute] GetTokensOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("QueryTokens")>
Public Function QueryTokens (
<FromBodyAttribute> options As GetTokensOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"QueryTokens")]
HttpResponseMessage^ QueryTokens(
[FromBodyAttribute] GetTokensOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("QueryTokens")>]
member QueryTokens :
[<FromBodyAttribute>] options : GetTokensOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetTokensOptions
An object that carries all needed information about the tokens that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A status code indicating success or failure.
If successful, a list of
TokenDefinitionData objects.
See Also